//
//  BuildConfiguration.swift
//  MultiSchemeProject
//
//  Created by Prashant Telangi on 11/13/18.
//  Copyright © 2018 Mobisoft Infotech. All rights reserved.
//

import Foundation

public enum Plist {
    
    case baseUrl
    case loggingEnabled
    
    func value() -> String {
        switch self {
        case .baseUrl:
            return "base_url"
        case .loggingEnabled:
            return "log_enabled"
        }
    }
}

public struct Environment {
    
    public func configuration(_ key: Plist) -> String {
        if let infoDict = Bundle.main.infoDictionary {
            switch key {
            case .baseUrl:
                return infoDict[Plist.baseUrl.value()] as? String ?? ""
            case .loggingEnabled:
                return infoDict[Plist.loggingEnabled.value()] as? String ?? ""
            }
        } else {
            fatalError("Unable to locate plist file")
        }
    }
}
