//
//  Logger.swift
//  MultiSchemeProject
//
//  Created by Prashant Telangi on 11/13/18.
//  Copyright © 2018 Mobisoft Infotech. All rights reserved.
//

import Foundation
import SwiftyBeaver

let log = SwiftyBeaver.self

extension SwiftyBeaver {
    static func setupLogging() {
        
        let status = Environment().configuration(Plist.loggingEnabled)
        let console = ConsoleDestination()
        let file = FileDestination()
        console.levelColor.verbose = "⚪️ "
        console.levelColor.debug = "☑️ "
        console.levelColor.info = "🔵 "
        console.levelColor.warning = "🔶 "
        console.levelColor.error = "🔴 "
        
        if status == "true" {
            console.minLevel = .verbose
            log.addDestination(file)
            log.addDestination(console)
        }
    }
}
